﻿Imports System.Text
Imports System.Timers
Imports TwitterAPI
Imports System.Windows
Imports VsSpeakerCompanion
Imports System.ComponentModel.Composition
Imports System.Windows.Threading

Namespace CoolnessWidget
	<Export(GetType(IWidgetProvider)), Widget(Name := "Cool Widget", After := "Font Size Widget")>
	Friend Class CoolWidgetProvider
		Implements IWidgetProvider
		Private Function GetWidgets(ByVal context As Context) As IEnumerable(Of IWidget) Implements IWidgetProvider.GetWidgets
			' creates an instance of our widget providing it the core context and twitter service to work with
			Dim widget As New CoolWidget(context, Me.TwitterService)
			Return New List(Of IWidget) From {widget}
		End Function
        <Import()>
        Private Property TwitterService As TwitterService
	End Class
End Namespace