﻿Imports System.Text
Imports System.Timers
Imports TwitterAPI
Imports System.Windows
Imports VsSpeakerCompanion
Imports System.ComponentModel.Composition
Imports System.Windows.Threading
Imports VsSpeakerCompanion.UI

Namespace SpeedWidget
	<Export(GetType(IWidgetProvider)), Widget(Name := "Speed Widget")>
	Friend Class WidgetProvider
		Implements IWidgetProvider
		Private Function GetWidgets(ByVal context As Context) As IEnumerable(Of IWidget) Implements IWidgetProvider.GetWidgets
			' creates an instance of the SpeedWidget and pass to it the two services it will require to run
			Dim widget As New Widget(Me.TwitterService, widgetAnimationService)

			Return New List(Of IWidget) From {widget}
        End Function

        <Import()>
        Private Property TwitterService As TwitterService

        <Import()>
        Private Property widgetAnimationService As IWidgetAnimationService
	End Class
End Namespace