﻿Imports System.Text
Imports System.ComponentModel.Composition
Imports VsSpeakerCompanion
Imports TwitterAPI
Imports Microsoft.VisualStudio.Text.Editor
Imports VsSpeakerCompanion.UI

Namespace TwitterThisWidget
	<Export(GetType(IWidgetProvider)), Widget(Name := "Twitter This Widget", After := "Sound Snippet Widget")>
	Friend Class WidgetProvider
        Implements IWidgetProvider

        <Import()>
        Private Property TwitterService As TwitterService

        <Import()>
        Private Property UIService As IUIService

        <Import()>
        Private Property VisualStudioService As IVisualStudioService

		Private Function GetWidgets(ByVal context As Context) As IEnumerable(Of IWidget) Implements IWidgetProvider.GetWidgets
			' create a TweetThis widget and pass along the three services it will be using
			Dim widget As New Widget(TwitterService, Me.VisualStudioService, Me.UIService)

			Return New List(Of IWidget) From {widget}
		End Function
	End Class
End Namespace
