﻿Imports System.Text
Imports Microsoft.VisualStudio.Text.Editor

Namespace VsSpeakerCompanion
	''' <summary>
	''' Provides services for accesing core Visual Studio functionality
	''' </summary>
	Public Interface IVisualStudioService
		''' <summary>
		''' Gets an instance of <see cref="System.IServiceProvider"/> 
		''' </summary>
        ReadOnly Property ServiceProvider As System.IServiceProvider

		''' <summary>
		''' Returns the active text view where the VS Speaker control is being hosted
		''' </summary>
		''' <returns></returns>
		Function GetActiveTextView() As IWpfTextView
	End Interface
End Namespace
