﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Timers;
using TwitterAPI;
using System.Windows;
using VsSpeakerCompanion;
using System.ComponentModel.Composition;
using System.Windows.Threading;

namespace CoolnessWidget
{
    [Export(typeof(IWidgetProvider))]
    [Widget(Name = "Cool Widget", After = "Font Size Widget")]
    internal class CoolWidgetProvider : IWidgetProvider
    {
        IEnumerable<IWidget> IWidgetProvider.GetWidgets(Context context)
        {
            // creates an instance of our widget providing it the core context and twitter service to work with
            CoolWidget widget = new CoolWidget(context, this.TwitterService);
            return new List<IWidget> { widget };
        }

        [Import]
        private TwitterService TwitterService { get; set; }
    }
}