﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using VsSpeakerCompanion;
using System.ComponentModel.Composition;
using TwitterAPI;

namespace PeopleCounterWidget
{
    [Export(typeof(IWidgetProvider))]
    [Widget(Name = "People Counter Widget", After = "Twitter This Widget")]
    public class PeopleCounterWidgetProvider : IWidgetProvider
    {
        [Import]
        private TwitterService twitterService { get; set; }

        public IEnumerable<IWidget> GetWidgets(Context context)
        {
            return new List<IWidget>() { new PeopleCounterWidget(twitterService) };
        }
    }
}
