﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.IO;

namespace SoundSnippetWidget
{
    /// <summary>
    /// Interaction logic for SoundSnippet.xaml
    /// </summary>
    public partial class SoundSnippet : UserControl
    {
        public event EventHandler PlaySound1Clicked;
        public event EventHandler PlaySound2Clicked;
        public event EventHandler PlaySound3Clicked; 

        public SoundSnippet()
        {
            InitializeComponent();
        }

        private void Button0_Click(object sender, RoutedEventArgs e)
        {
            if (PlaySound1Clicked != null)
            {
                PlaySound1Clicked(this, new EventArgs());
            }
        }

        private void Button1_Click(object sender, RoutedEventArgs e)
        {
            if (PlaySound2Clicked != null)
            {
                PlaySound2Clicked(this, new EventArgs());
            }
        }

        private void Button2_Click(object sender, RoutedEventArgs e)
        {
            if (PlaySound3Clicked != null)
            {
                PlaySound3Clicked(this, new EventArgs());
            }
        }

        private void Button_MouseEnter(object sender, MouseEventArgs e)
        {
            Mouse.OverrideCursor = Cursors.Hand;
        }

        private void Button_MouseLeave(object sender, MouseEventArgs e)
        {
            Mouse.OverrideCursor = null;
        }

    }
}
