﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SpeedWidget
{
    /// <summary>
    /// Interaction logic for SpeedView.xaml
    /// </summary>
    public partial class SpeedView : UserControl
    {
        public SpeedView()
        {
            InitializeComponent();        
        }

        private double CurrentWidth = 135.0;

        private double speed = 0.5;
        internal double Speed
        {
            get { return this.speed; }
            set
            {
                this.speed = value;

                this.arrowIndicatorImage.Margin = new Thickness((this.CurrentWidth - 25.0) * speed + 10.0, this.arrowIndicatorImage.Margin.Top, this.arrowIndicatorImage.Margin.Right, this.arrowIndicatorImage.Margin.Bottom);
            }
        }
    }
}
