﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TwitterAPI
{
    public class User
    {
        private Client client;
        public int Id { get; set; }
        public string Name { get; set; }
        public string ScreenName { get; set; }
        public string Location { get; set; }
        public string Description { get; set; }
        public string ImageUrl { get; set; }

        public User(Client client, int id, string name, string screenName, string location, string description, string imageUrl)
        {
            this.client = client;
            this.Id =id;
            this.Name = name;
            this.ScreenName = screenName;
            this.Location = location;
            this.Description = description;
            this.ImageUrl = imageUrl;
        }

        public void SendMessage(string message)
        {
            client.SendMessage(ScreenName, message);
        }

        public void SendPrivateMessage(string message)
        {
            client.SendPrivateMessage(ScreenName, message);
        }
    }
}
