﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TwitterAPI
{
    public class UsersCountEventArgs : EventArgs
    {
        public UsersCountEventArgs(int oldUsersCount, int newUsersCount)
        {
            this.OldUsersCount = oldUsersCount;
            this.NewUsersCount = newUsersCount;
        }

        public int OldUsersCount { get; private set; }
        public int NewUsersCount { get; private set; }
    }
}
