﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.VisualStudio.Text.Editor;

namespace VsSpeakerCompanion
{
    /// <summary>
    /// Provides services for accesing core Visual Studio functionality
    /// </summary>
    public interface IVisualStudioService
    {
        /// <summary>
        /// Gets an instance of <see cref="System.IServiceProvider"/> 
        /// </summary>
        System.IServiceProvider ServiceProvider { get; }

        /// <summary>
        /// Returns the active text view where the VS Speaker control is being hosted
        /// </summary>
        /// <returns></returns>
        IWpfTextView GetActiveTextView();
    }
}
