﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VsSpeakerCompanion
{
    /// <summary>
    /// Provides a serializable setting
    /// </summary>
    [Serializable]
    public class SettingValue
    {
        /// <summary>
        /// Gets or sets the key of the setting
        /// </summary>
        public string Key { get; set; }

        /// <summary>
        /// Get or sets the value of the setting
        /// </summary>
        public object Value { get; set; }
    }
}
