﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace VsSpeakerCompanion.UI
{
    /// <summary>
    /// Interaction logic for SidebarLoginControl.xaml
    /// </summary>
    internal partial class SidebarLoginControl : UserControl
    {
        internal event EventHandler<EventArgs> Login;

        internal SidebarLoginControl()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            OnLogin(new EventArgs());
        }

        protected virtual void OnLogin(EventArgs e)
        {
            if (Login != null)
            {
                Login(this, e);
            }
        }
    }
}
