﻿Imports System.Text
Imports VsSpeakerCompanion
Imports System.ComponentModel.Composition
Imports Microsoft.VisualStudio.Text.Editor
Imports Microsoft.VisualStudio.Text.Classification
Imports TwitterAPI
Imports VsSpeakerCompanion.UI

Namespace FontSizeWidget
    <Export(GetType(IWidgetProvider)), Widget(Name:="Font Size Widget", After:="Sound Snippet Widget")>
    Friend Class FontSizeWidgetProvider
        Implements IWidgetProvider

        <Import()>
        Private Property widgetAnimationService As IWidgetAnimationService

        <Import()>
        Private Property visualStudioService As IVisualStudioService

        <Import()>
        Private Property _editorFormatMapService As IEditorFormatMapService

        <Import()>
        Private Property TwitterService As TwitterService

        <Import()>
        Private Property serviceProvider As IServiceProvider

        Public Function GetWidgets(ByVal context As Context) As IEnumerable(Of IWidget) Implements IWidgetProvider.GetWidgets
            Return New List(Of IWidget) From {New FontSizeWidget(visualStudioService, _editorFormatMapService, TwitterService, widgetAnimationService, serviceProvider)}
        End Function

    End Class
End Namespace
