﻿Imports System.Text
Imports VsSpeakerCompanion
Imports System.ComponentModel.Composition
Imports TwitterAPI

Namespace PeopleCounterWidget
	<Export(GetType(IWidgetProvider)), Widget(Name := "People Counter Widget", After := "Twitter This Widget")>
	Public Class PeopleCounterWidgetProvider
        Implements IWidgetProvider

        <Import()>
        Private Property twitterService As TwitterService

        Public Function GetWidgets(ByVal context As Context) As IEnumerable(Of IWidget) Implements IWidgetProvider.GetWidgets
            Return New List(Of IWidget) From {New PeopleCounterWidget(twitterService)}
        End Function
	End Class
End Namespace
