﻿Imports System.Text
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Data
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Imaging
Imports System.Windows.Navigation
Imports System.Windows.Shapes
Imports System.IO

Namespace SoundSnippetWidget
	''' <summary>
	''' Interaction logic for SoundSnippet.xaml
	''' </summary>
	Partial Public Class SoundSnippet
		Inherits UserControl
		Public Event PlaySound1Clicked As EventHandler
		Public Event PlaySound2Clicked As EventHandler
		Public Event PlaySound3Clicked As EventHandler

		Public Sub New()
			InitializeComponent()
		End Sub

		Private Sub Button0_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
            RaiseEvent PlaySound1Clicked(Me, New EventArgs)
		End Sub

		Private Sub Button1_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
            RaiseEvent PlaySound2Clicked(Me, New EventArgs)
		End Sub

		Private Sub Button2_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
            RaiseEvent PlaySound3Clicked(Me, New EventArgs)
		End Sub

		Private Sub Button_MouseEnter(ByVal sender As Object, ByVal e As MouseEventArgs)
			Mouse.OverrideCursor = Cursors.Hand
		End Sub

		Private Sub Button_MouseLeave(ByVal sender As Object, ByVal e As MouseEventArgs)
			Mouse.OverrideCursor = Nothing
		End Sub

	End Class
End Namespace
