﻿Imports System.Text
Imports VsSpeakerCompanion
Imports System.ComponentModel.Composition

Namespace SoundSnippetWidget
	<Export(GetType(IWidgetProvider)), Widget(Name := "Sound Snippet Widget", After := "Cool Widget")>
	Public Class SoundSnippetWidgetProvider
		Implements IWidgetProvider
        Public Function GetWidgets(ByVal context As Context) As IEnumerable(Of IWidget) Implements IWidgetProvider.GetWidgets
            ' create and return an instance of our widget
            ' it only needs access to the core context for reading settings
            ' so we don't need to pass any services to it
            Return New List(Of IWidget) From {New Widget(context)}
        End Function
	End Class
End Namespace
