﻿Imports System.Text
Imports System.Timers
Imports TwitterAPI
Imports System.Windows
Imports VsSpeakerCompanion
Imports System.ComponentModel.Composition
Imports System.Windows.Threading
Imports VsSpeakerCompanion.UI

Namespace StartStopSessionWidget
	<Export(GetType(IWidgetProvider)), Widget(Name := "Start Stop Session Widget")>
	Friend Class WidgetProvider
		Implements IWidgetProvider
		Private Function GetWidgets(ByVal context As Context) As IEnumerable(Of IWidget) Implements IWidgetProvider.GetWidgets
			' create an instance of our widget passing to it context and services to work with
			Dim widget As New Widget(context, TwitterService, UIService)
			Return New List(Of IWidget) From {widget}
        End Function

        <Import()>
        Private Property TwitterService As TwitterService

        <Import()>
        Private Property UIService As IUIService
	End Class
End Namespace