﻿Imports System.Text

Namespace TwitterAPI
	Public Class User
		Private client As Client
        Public Property Id As Integer
        Public Property Name As String
        Public Property ScreenName As String
        Public Property Location As String
        Public Property Description As String
        Public Property ImageUrl As String

		Public Sub New(ByVal client As Client, ByVal id As Integer, ByVal name As String, ByVal screenName As String, ByVal location As String, ByVal description As String, ByVal imageUrl As String)
			Me.client = client
			Me.Id =id
			Me.Name = name
			Me.ScreenName = screenName
			Me.Location = location
			Me.Description = description
			Me.ImageUrl = imageUrl
		End Sub

		Public Sub SendMessage(ByVal message As String)
			client.SendMessage(ScreenName, message)
		End Sub

		Public Sub SendPrivateMessage(ByVal message As String)
			client.SendPrivateMessage(ScreenName, message)
		End Sub
	End Class
End Namespace
