﻿Imports System.Text
Imports System.Windows

Namespace VsSpeakerCompanion
	''' <summary>
	''' Represents a widget offering some functionality for speakers.
	''' </summary>
	Public Interface IWidget
		''' <summary>
		''' Resets the internal state of the widget
		''' </summary>
		Sub Reset()

		''' <summary>
		''' Gets the visual representation of the widget. This is optional.
		''' </summary>
        ReadOnly Property VisualElement As UIElement
	End Interface
End Namespace
