﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using VsSpeakerCompanion;
using System.ComponentModel.Composition;

namespace SoundSnippetWidget
{
    [Export(typeof(IWidgetProvider))]
    [Widget(Name = "Sound Snippet Widget", After = "Cool Widget")]
    public class SoundSnippetWidgetProvider : IWidgetProvider
    {
        public IEnumerable<IWidget> GetWidgets(Context context)
        {
            // create and return an instance of our widget
            // it only needs access to the core context for reading settings
            // so we don't need to pass any services to it
            return new List<IWidget> { new Widget(context) };
        }
    }
}
