﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Timers;
using TwitterAPI;
using System.Windows;
using VsSpeakerCompanion;
using System.ComponentModel.Composition;
using System.Windows.Threading;
using VsSpeakerCompanion.UI;

namespace StartStopSessionWidget
{
    [Export(typeof(IWidgetProvider))]
    [Widget(Name = "Start Stop Session Widget")]
    internal class WidgetProvider : IWidgetProvider
    {
        IEnumerable<IWidget> IWidgetProvider.GetWidgets(Context context)
        {
            // create an instance of our widget passing to it context and services to work with
            Widget widget = new Widget(context, TwitterService, UIService);
            return new List<IWidget> { widget };
        }

        [Import]
        private TwitterService TwitterService { get; set; }

        [Import]
        private IUIService UIService { get; set; }
    }
}