﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VsSpeakerCompanion.UI
{
    /// <summary>
    /// Provides common animation for widgets
    /// </summary>
    public interface IWidgetAnimationService
    {
        /// <summary>
        /// Starts the animation
        /// </summary>
        /// <param name="widget"></param>
        void Start(IWidget widget);

        /// <summary>
        /// Stops the animation
        /// </summary>
        /// <param name="widget"></param>
        void Stop(IWidget widget);
    }
}
